org.apache.maven.shared.io.logging

## Class PlexusLoggerSink

- java.lang.Object
- - org.apache.maven.shared.io.logging.PlexusLoggerSink

All Implemented Interfaces:
  MessageSink

    public class PlexusLoggerSink
    extends Object
    implements MessageSink

The plexus logger sing implementation.

### Constructor Summary

Constructors
Constructor and Description
`PlexusLoggerSink(org.codehaus.plexus.logging.Logger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug(String message)`
`void` `error(String message)`
`void` `info(String message)`
`void` `severe(String message)`
`void` `warning(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlexusLoggerSink

    public PlexusLoggerSink(org.codehaus.plexus.logging.Logger logger)

Parameters:
  `logger` - The logger.

### Method Detail

#### debug

    public void debug(String message)

Specified by:
  `debug` in interface `MessageSink`
Parameters:
  `message` - The message.

#### error

    public void error(String message)

Specified by:
  `error` in interface `MessageSink`
Parameters:
  `message` - The message.

#### info

    public void info(String message)

Specified by:
  `info` in interface `MessageSink`
Parameters:
  `message` - The message.

#### severe

    public void severe(String message)

Specified by:
  `severe` in interface `MessageSink`
Parameters:
  `message` - The message.

#### warning

    public void warning(String message)

Specified by:
  `warning` in interface `MessageSink`
Parameters:
  `message` - The message.